Bug 57770

Summary: Support friend packages declaration in project.xml
Product: apisupport Reporter: Jesse Glick <jglick>
Component: ProjectAssignee: Jesse Glick <jglick>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC: jtulach, nbbuild-issues
Version: 5.xKeywords: ARCH
Target Milestone: 5.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: TASK Exception Report:
Bug Depends on:    
Bug Blocks: 53826    

Description Jesse Glick 2005-04-12 14:19:42 UTC
Currently <public-packages> can be declared, but there is no syntax for
declaring friend modules. Should be added in the /2 schema.
Comment 1 Jesse Glick 2005-04-12 14:20:18 UTC
Could also be used to help generate arch descriptions from project.xml.
Comment 2 Jesse Glick 2005-04-14 20:20:49 UTC
committed   * Up-To-Date  1.8        
apisupport/project/src/org/netbeans/modules/apisupport/project/AccessibilityQueryImpl.java
committed   * Up-To-Date  1.2        
apisupport/project/src/org/netbeans/modules/apisupport/project/resources/nb-module-project2.xsd
committed   * Up-To-Date  1.2        
nbbuild/antsrc/org/netbeans/nbbuild/JarWithModuleAttributes.java
committed   * Up-To-Date  1.17       
nbbuild/antsrc/org/netbeans/nbbuild/ParseProjectXml.java
committed   * Up-To-Date  1.41        nbbuild/templates/projectized.xml
Comment 3 Jaroslav Tulach 2005-04-15 10:43:49 UTC
Ok. 
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo